Bug 1402446 - Review Request: php-nikic-php-parser3 - A PHP parser written in PHP
Review Request: php-nikic-php-parser3 - A PHP parser written in PHP
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-07 09:56 EST by Remi Collet
Modified: 2017-08-23 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 13:14:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (42.39 KB, text/plain)
2016-12-14 22:27 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (32.75 KB, text/plain)
2016-12-14 22:28 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.08 KB, text/plain)
2016-12-14 22:29 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-12-07 09:56:43 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/7e0ccb7259f589984200a4b7622c9ca411355e7f/php/php-nikic-php-parser3/php-nikic-php-parser3.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-nikic-php-parser3-3.0.2-1.remi.src.rpm
Description: 
This is a PHP 5.2 to PHP 7.1 parser written in PHP.
Its purpose is to simplify static code analysis and manipulation.

This package provides the library version 3 and the php-parse command.
The php-nikic-php-parser package provides the library version 2.
The php-PHPParser package provides the library version 1.

Documentation: https://github.com/nikic/PHP-Parser/tree/master/doc

Autoloader: /usr/share/php/PhpParser3/autoload.php

Fedora Account System Username: remi
Comment 1 Remi Collet 2016-12-07 10:03:46 EST
The main target for this package is PHP 7.1 (so rawhide only)

Will also allow to check how DNF goes with 3 versions of the same library

BTW, php-nikic-php-parser already rebuilt with the command dropped.
http://pkgs.fedoraproject.org/cgit/rpms/php-nikic-php-parser.git/commit/?id=e699940ca831bf694087e4498e8258af34272548
Comment 2 Shawn Iwinski 2016-12-14 22:27 EST
Created attachment 1231946 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.1 DB version 1.15.0 built Nov 23 2016 09:41:30 CET
Comment 3 Shawn Iwinski 2016-12-14 22:28 EST
Created attachment 1231947 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.1 DB version 1.15.0 built Nov 23 2016 09:41:30 CET
Comment 4 Shawn Iwinski 2016-12-14 22:29 EST
Created attachment 1231948 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1402446
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2016-12-14 22:30:01 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====
Comment 6 Remi Collet 2016-12-15 00:37:17 EST
Thanks for the review.

New package requested on pkgdb.
Comment 7 Gwyn Ciesla 2016-12-15 08:17:14 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-nikic-php-parser3

Note You need to log in before you can comment on or make changes to this bug.